<?php
$token = "7779440094:AAF17yZUlzMGR2i9l1nWhAb-r1cvhCvUR9o";
$update = json_decode(file_get_contents("php://input"), true);

$hashtags = "\n#موبایل_قاضی\n#لوازم_جانبی_موبایل\n#جانبی\n#قاضی\n#موبایل_قاضی\n#لوازم_جانبی_موبایل\n#اکسپلور";

if (isset($update["message"])) {
    $chat_id = $update["message"]["chat"]["id"];

    // اگر پیام متنی است
    if (isset($update["message"]["text"])) {
        $text = trim($update["message"]["text"]);

        if (strpos($text, "📣 فروش لوازم جانبی موبایل") !== false) {
            $text = preg_replace("/⭕️ آیدی کانال.*?موجود هست/", "", $text);
            $text = preg_replace("/📣 فروش لوازم جانبی موبایل( قاضی)? 📱\s*با کیفیت( و)? ?قیمت عالی 💯/u", "", $text);
            $text = str_replace("♻️ آدرس : سیدی_داخل اصلانی 73_نبش چهارراه_موبایل قاضی", "♻️ آدرس : مشهد-سیدی", $text);

            $text = ".\n" . preg_replace("/^\s*(\r\n|\r|\n)+/", '', $text);

            // اضافه کردن هشتگ‌ها
            $text .= $hashtags;

            // قالب‌بندی Markdown
            $text = "`" . $text . "`";

            $url = "https://api.telegram.org/bot" . $token . "/sendMessage";
            $data = [
                'chat_id' => $chat_id,
                'text' => $text,
                'parse_mode' => 'Markdown'
            ];
            file_get_contents($url . '?' . http_build_query($data));
        }
    }

    // اگر پیام دارای عکس است
    if (isset($update["message"]["photo"])) {
        if (isset($update["message"]["caption"])) {
            $caption = trim($update["message"]["caption"]);

            if (strpos($caption, "📣 فروش لوازم جانبی موبایل") !== false) {
                $caption = preg_replace("/⭕️ آیدی کانال.*?موجود هست/", "", $caption);
                $caption = preg_replace("/📣 فروش لوازم جانبی موبایل( قاضی)? 📱\s*با کیفیت( و)? ?قیمت عالی 💯/u", "", $caption);
                $caption = str_replace("♻️ آدرس : سیدی_داخل اصلانی 73_نبش چهارراه_موبایل قاضی", "♻️ آدرس : مشهد-سیدی", $caption);

                $caption = ".\n" . preg_replace("/^\s*(\r\n|\r|\n)+/", '', $caption);

                // اضافه کردن هشتگ‌ها
                $caption .= $hashtags;

                // قالب‌بندی Markdown
                $caption = "`" . $caption . "`";

                $url = "https://api.telegram.org/bot" . $token . "/sendPhoto";
                $data = [
                    'chat_id' => $chat_id,
                    'photo' => $update["message"]["photo"][0]["file_id"],
                    'caption' => $caption,
                    'parse_mode' => 'Markdown'
                ];
                file_get_contents($url . '?' . http_build_query($data));
            }
        }
    }
}
?>